Skip to main content
POST
/
investors
/
{investor_id}
/
cash-management
/
disclosures
/
acceptances
Record disclosure acceptances
curl --request POST \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/cash-management/disclosures/acceptances \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "disclosure_ids": [
    "<string>"
  ],
  "program_id": "<string>",
  "accepted_at": "2023-11-07T05:31:56Z",
  "ip_address": "<string>",
  "user_agent": "<string>",
  "actor_ref": "<string>"
}
'
{
  "object": "list",
  "url": "<string>",
  "has_more": true,
  "data": [
    {
      "acceptance_id": "<string>",
      "investor_id": "<string>",
      "disclosure_id": "<string>",
      "version": "<string>",
      "signed_at": "2023-11-07T05:31:56Z",
      "status": "recorded"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required
Example:

"inv_01j9x8m2k7qpzwv3t5r6y8n0ab"

Body

application/json
disclosure_ids
string[]
required
program_id
string
accepted_at
string<date-time>
ip_address
string
user_agent
string
actor_ref
string

Response

201 - application/json

Acceptances recorded

object
string
Example:

"list"

url
string
has_more
boolean
data
object[]